=== packages/invirt-autoinstaller/debian/changelog ===
invirt-autoinstaller (0.0.5) unstable; urgency=low

  * Install Debian and Ubuntu compatible kernels without checking first

 -- Evan Broder <broder@mit.edu>  Wed, 19 Nov 2008 20:51:20 -0500

invirt-autoinstaller (0.0.4) unstable; urgency=low

  * Figure out whether the autoinstaller is running on Debian or Ubuntu,
    and install an appropriate kernel

 -- Evan Broder <broder@mit.edu>  Wed, 19 Nov 2008 19:53:25 -0500

invirt-autoinstaller (0.0.3) unstable; urgency=low

  * Whoops - replace the right string in /etc/rc.local

 -- Evan Broder <broder@mit.edu>  Fri, 14 Nov 2008 01:59:11 -0500

invirt-autoinstaller (0.0.2) unstable; urgency=low

  * Add hook to turn off checksumming in guests

 -- Evan Broder <broder@mit.edu>  Fri, 14 Nov 2008 01:19:21 -0500

invirt-autoinstaller (0.0.1) unstable; urgency=low

  * sipb-xen-autoinstaler -> invirt-autoinstaller
  * Punt DEB_AUTO_UPDATE_DEBIAN_CONTROL

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 04:47:25 -0400

sipb-xen-autoinstaller (2.11) unstable; urgency=low

  * sipb-xen-dom0 -> invirt-xen-config

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 18:18:51 -0400

sipb-xen-autoinstaller (2.10) unstable; urgency=low

  * Hide misleading harmless error message from dmsetup
  * Start udev in guest, so /dev/hda[12] appear automatically
  * understand 'noinstall=' rather than 'noinstall', so validator on
    remote accepts it

 -- Greg Price <price@mit.edu>  Sun, 19 Oct 2008 21:26:31 -0400

sipb-xen-autoinstaller (2.9) unstable; urgency=low

  * Run xen-create-image with --verbose so you actually get useful
    output

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 19:25:14 -0400

sipb-xen-autoinstaller (2.8) unstable; urgency=low

  * Correctly evaluate the kernel command line to deal with weird
    potential quoting issues

 -- Evan Broder <broder@mit.edu>  Mon, 13 Oct 2008 21:18:22 -0400

sipb-xen-autoinstaller (2.7) unstable; urgency=low

  * Skip kpartx call when running on physical devices

 -- Evan Broder <broder@mit.edu>  Tue, 07 Oct 2008 00:25:18 -0400

sipb-xen-autoinstaller (2.6) unstable; urgency=low

  * Update dependencies for Hardy

 -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 18:22:08 -0400

sipb-xen-autoinstaller (2.5) unstable; urgency=low

  * Add sipb-xen-autoinstaller-host binary package
  * Put common files in both binary packages
  * Add beginnings of an installer script in -host package

 -- Greg Price <price@mit.edu>  Sun, 28 Sep 2008 17:07:51 -0400

sipb-xen-autoinstaller (2.4) unstable; urgency=low

  * Switch to using just sipb-database options on the host

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Mon, 28 Jul 2008 03:18:00 -0400

sipb-xen-autoinstaller (2.3) unstable; urgency=low

  * Fix a couple bugs.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Mon, 28 Jul 2008 01:06:18 -0400

sipb-xen-autoinstaller (2.2) unstable; urgency=low

  * Divert /etc/init.d/rcS

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Mon, 28 Jul 2008 00:28:54 -0400

sipb-xen-autoinstaller (2.1) unstable; urgency=low

  * Updates to the dependency lists.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Mon, 28 Jul 2008 00:02:39 -0400

sipb-xen-autoinstaller (2.0) unstable; urgency=low

  * Move the autoinstall inside a VM.

 -- Eric Price <ecprice@mit.edu>  Sun, 27 Jul 2008 23:47:02 -0400

sipb-xen-guest-installer (1.4) unstable; urgency=low

  * sipb-xen-install, using xen-create-image, which uses debootstrap
    (ecprice, neboat, and me, weeks ago)

 -- Greg Price <price@mit.edu>  Wed, 23 Jul 2008 01:15:58 -0400

sipb-xen-guest-installer (1.3) unstable; urgency=low

  * Change sipb-xen-lvcopy so that it fails if you try to clone
    anything but ice3

 -- Evan Broder <broder@mit.edu>  Sat, 31 May 2008 13:38:37 -0700

sipb-xen-guest-installer (1.2) unstable; urgency=low

  * Work around bug in Python subprocess.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Thu, 15 May 2008 18:46:57 -0400

sipb-xen-guest-installer (1.1) unstable; urgency=low

  * All the changes since last October.  In particular:
  * This system is in "production", using sx-lvcopy to replicate
    a golden image on user request and frob it as necessary.

 -- Greg Price <price@mit.edu>  Thu,  1 May 2008 01:09:11 -0400

sipb-xen-guest-installer (1.0) unstable; urgency=low

  * Initial release.

 -- Greg Price <price@mega-man.mit.edu>  Tue, 16 Oct 2007 03:01:08 -0400
