=== packages/invirt-database/debian/changelog ===
invirt-database (0.1.2) unstable; urgency=low

  * Clean up the .egg-info directory from the right place.

 -- Evan Broder <broder@mit.edu>  Mon, 05 Jan 2009 23:50:47 -0500

invirt-database (0.1.1) unstable; urgency=low

  * Correct a lintian spelling warning.

 -- Evan Broder <broder@mit.edu>  Mon, 05 Jan 2009 23:40:44 -0500

invirt-database (0.1.0) unstable; urgency=low

  * Turn on lazy loading for all tables

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 21:57:35 -0500

invirt-database (0.0.6) unstable; urgency=low

  * Let machines.administrator be NULL

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:41:48 -0500

invirt-database (0.0.5) unstable; urgency=low

  * Add an architecture field to the autoinstaller table

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 12:18:02 -0500

invirt-database (0.0.3) unstable; urgency=low

  * Add attributes to the ORM objects to connect mirrors and cdroms

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:16:18 -0400

invirt-database (0.0.2) unstable; urgency=low

  * Export mirrors_table and Mirrors from invirt.database.models

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:04:54 -0400

invirt-database (0.0.1) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database
  * sipb-xen-database-server -> invirt-database-server (a separate source package)
  * sipb-xen-database-client -> invirt-xen-config

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:22:46 -0400
