=== packages/invirt-remote/debian/changelog ===
invirt-remote (0.2.2) unstable; urgency=low

  * config.{authn[0] => kerberos}.realm

 -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 23:18:45 -0500

invirt-remote (0.2.1) unstable; urgency=low

  * Be sure to create /etc/remctl/remconffs

 -- Evan Broder <broder@mit.edu>  Mon, 08 Dec 2008 09:25:43 -0500

invirt-remote (0.2.0) unstable; urgency=low

  * Merge invirt-remote-server and invirt-remote-host into invirt-remote
    (LP: #305682)

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 18:33:59 -0500

invirt-remote-server (0.1.6) unstable; urgency=low

  * Fix a gen_config -> gen_files

 -- Greg Price <price@mit.edu>  Sat, 22 Nov 2008 19:27:36 -0500

invirt-remote-server (0.1.5) unstable; urgency=low

  * Fix a typo in calling /lib/init/gen-files.sh

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:43:06 -0500

invirt-remote-server (0.1.4) unstable; urgency=low

  * Steal some init script ideas from debathena-pyhesiodfs

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:31:49 -0500

invirt-remote-server (0.1.3) unstable; urgency=low

  * Switched to using "raw" select expressions instead of using the ORM;
    allows the same speed as the old object-based system but without any
    caching necessary.

 -- Quentin Smith <quentin@mit.edu>  Fri, 21 Nov 2008 04:15:50 -0500

invirt-remote-server (0.1.2) unstable; urgency=low

  * Update remctl help with new reboot functionality

 -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 10:57:39 -0500

invirt-remote-server (0.1.1) unstable; urgency=low

  * Now that we're doing real caching, cache for less time

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:18:23 -0500

invirt-remote-server (0.1.0) unstable; urgency=low

  * Add real caching to remconffs

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:05:32 -0500

invirt-remote-server (0.0.18) unstable; urgency=low

  * Add a "help" command for the control remctl

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 19:02:19 -0500

invirt-remote-server (0.0.17) unstable; urgency=low

  * Get the host with the most RAM based on the maximum recoverable
    memory, not the memory currently available to Xen

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 10:30:10 -0500

invirt-remote-server (0.0.16) unstable; urgency=low

  * When returning from a bcast, put together the stdout, not the stderr

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 16:19:33 -0500

invirt-remote-server (0.0.15) unstable; urgency=low

  * Include invirt.remote Python module
  * Ignore erroneous responses from a server if it's because the server is
    down

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 15:19:28 -0500

invirt-remote-server (0.0.14) unstable; urgency=low

  * Don't depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:51:19 -0500

invirt-remote-server (0.0.13) unstable; urgency=low

  * Depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 21:49:27 -0500

invirt-remote-server (0.0.12) unstable; urgency=low

  * shorten initscript with std-init, correct the usage message

 -- Greg Price <price@mit.edu>  Wed, 05 Nov 2008 19:59:18 -0500

invirt-remote-server (0.0.11) unstable; urgency=low

  * Don't proxy requests for the VNC cert if the requested hostname isn't
    an Invirt host

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:17:10 -0400

invirt-remote-server (0.0.10) unstable; urgency=low

  * All remctls of type 'web' have the same ACL - glob them together

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:05:42 -0400

invirt-remote-server (0.0.9) unstable; urgency=low

  * Add support for a `web vnccert` remctl call

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 22:45:29 -0400

invirt-remote-server (0.0.8) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:32 -0400

invirt-remote-server (0.0.7) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:03:13 -0400

invirt-remote-server (0.0.6) unstable; urgency=low

  * Remove dependency on sipb-xen-chrony-config - we need to take care of
    the clock, but chrony isn't the right answer

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:16:08 -0400

invirt-remote-server (0.0.5) unstable; urgency=low

  * Rename a remaining sipb-xen file to invirt

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 22:21:30 -0400

invirt-remote-server (0.0.4) unstable; urgency=low

  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:49:45 -0400

invirt-remote-server (0.0.3) unstable; urgency=low

  * Standardize on "Invirt project"

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:33:25 -0400

invirt-remote-server (0.0.2) unstable; urgency=low

  * oops, update control from control.in
  * configurize web acl

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 00:28:08 -0400

invirt-remote-server (0.0.1) unstable; urgency=low

  * sipb-xen -> invirt

 -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:58:36 -0400

sipb-xen-remote-server (0.10.2) unstable; urgency=low

  * There's a race condition for if the VM gets powered off between the
    listvms and the actual request. Solve the problem correctly by using a
    non-conflicting error code to indicate an invalid command

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:46:38 -0400

sipb-xen-remote-server (0.10.1) unstable; urgency=low

  * Make both list-host and listhost valid commands, and for parity with
    list-long, document list-host

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:36:32 -0400

sipb-xen-remote-server (0.10) unstable; urgency=low

  * If a command is invalid, but the machine's on, give an actually useful
    error message

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:29:50 -0400

sipb-xen-remote-server (0.9.2) unstable; urgency=low

  * Expose an interface to the autoinstaller over remctl

