=== packages/invirt-vnc-server/debian/changelog ===
invirt-vnc-server (0.0.6) unstable; urgency=low

  * Include the VNC host and port in the authentication token

 -- Quentin Smith <quentin@mit.edu>  Thu, 08 Jan 2009 16:15:46 -0500

invirt-vnc-server (0.0.5) unstable; urgency=low

  * Use the generated certificate instead of the old /usr/share location

 -- Evan Broder <broder@mit.edu>  Tue, 04 Nov 2008 04:23:51 -0500

invirt-vnc-server (0.0.4) unstable; urgency=low

  * Deprecate /etc/invirt/secrets in favor of /etc/invirt/vnc
  * Include the hostname in the generated SSL certs so that the Java
    keytool will accept them

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:59:57 -0400

invirt-vnc-server (0.0.3) unstable; urgency=low

  * Fix a typo in the new init script

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 22:58:59 -0400

invirt-vnc-server (0.0.2) unstable; urgency=low

  * Cleanup the init script to use /lib/init/std-init.sh
  * Generate the SSL certificates at install-time
  * File reads are cheap. Especially when the file is short. Don't cache
    the token key

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 22:48:24 -0400

invirt-vnc-server (0.0.1) unstable; urgency=low

  * sipb-xen-vnc-server -> invirt-vnc-server
  * Generate the VNC token key at install-time instead of hard-coding
  * Add a script for generating VNC auth tokens, to be exposed over remctl

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 19:45:35 -0400

sipb-xen-vnc-server (1.2) unstable; urgency=low

  * Move certificate files into /usr/share/sipb-xen-vnc-server
  * Switch to distutils-based package

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 15:07:33 -0400

sipb-xen-vnc-server (1.1) unstable; urgency=low

  * Update dependencies for Hardy

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 22:16:32 -0400

sipb-xen-vnc-server (1) unstable; urgency=low

  * Initial Release.
 -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 19:28:22 -0500
