=== packages/invirt-dhcp/debian/control ===
Source: invirt-dhcp
Section: base
Priority: extra
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)
Standards-Version: 3.8.0

Package: invirt-dhcp
Architecture: all
Depends: ${misc:Depends}, daemon, invirt-database, python-pydhcplib (>= 0.3.2-1), invirt-base
Description: Install and enable the DHCP server
