=== packages/invirt-console/debian/rules ===
#!/usr/bin/make -f

DEB_DIVERT_EXTENSION = .invirt
DEB_TRANSFORM_FILES_invirt-console-server += \
	/etc/init.d/bootmisc.sh.invirt \
	/etc/nsswitch.conf.invirt \
	/etc/nscd.conf.invirt \
	/etc/pam.d/sshd.invirt \
	/etc/ssh/sshd_config.debathena.invirt

ifneq ($(wildcard /usr/share/base-files/nsswitch.conf),)
    DEB_CHECK_FILES_SOURCE_/etc/nsswitch.conf.invirt = \
        /usr/share/base-files/nsswitch.conf
endif

DEB_DIVERT_FILES_invirt-console-server += \
	/etc/conserver/conserver.cf.invirt \
	/etc/motd.invirt
DEB_DIVERT_FILES_invirt-console-host += \
	/etc/conserver/conserver.cf.invirt \
	/etc/conserver/server.conf.invirt

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/config-package.mk
