=== packages/libapache2-mod-auth-sslcert/debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_AUTOCONF = 1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_MAKE_BUILD_TARGET = .libs/mod_auth_sslcert.so APXS="apxs2"
DEB_MAKE_INSTALL_TARGET = 

clean::
	rm -f configure
